Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.normalize.input
Class InputFieldMLDataSet

    java.lang.Object
      org.encog.util.normalize.input.BasicInputField
          org.encog.util.normalize.input.InputFieldMLDataSet

All Implemented Interfaces:
  Serializable, InputField

    public class InputFieldMLDataSet

extends BasicInputField

An input field based on an Encog NeuralDataSet.

See Also:
  Serialized Form

Constructor Summary
`InputFieldMLDataSet(boolean usedForNetworkInput, NeuralDataSet data, int offset)` Construct a input field based on a NeuralDataSet.

Method Summary
`NeuralDataSet` | `getNeuralDataSet()`
`int` | `getOffset()`

Methods inherited from class org.encog.util.normalize.input.BasicInputField
`applyMinMax, getCurrentValue, getMax, getMin, getUsedForNetworkInput, getValue, setCurrentValue, setMax, setMin, setUsedForNetworkInput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputFieldMLDataSet

    public InputFieldMLDataSet(boolean usedForNetworkInput,
                               NeuralDataSet data,
                               int offset)

  Construct a input field based on a NeuralDataSet.

  Parameters:
    `usedForNetworkInput` - Is this field used for neural input.
    `data` - The data set to use.
    `offset` - The input or ideal index to use. This treats the input and ideal as one long array, concatenated together.

Method Detail

### getNeuralDataSet

    public NeuralDataSet getNeuralDataSet()

  Returns:
    The neural data set to read.

### getOffset

    public int getOffset()

  Returns:
    The field to be accessed. This treats the input and ideal as one long array, concatenated together.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.